package com.ruoyi.system.service.operatingmanage;


import com.ruoyi.system.domain.operatingmanage.TOperatingmanageNotice;

import java.util.List;

/**
 * 通知公告
 * @author wujm<wujm@eazytec.com>
 */
public interface TOperatingmanageNoticeService {

    /**
     * 分页查询
     * @param tOperatingmanageNotice
     * @return
     */
	List<TOperatingmanageNotice> listTOperatingmanageNotice(TOperatingmanageNotice tOperatingmanageNotice, String userId);

    /**
     * 新增
     * @param tOperatingmanageNotice
     * @return
     */
    int saveTOperatingmanageNotice(TOperatingmanageNotice tOperatingmanageNotice, String userId);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    TOperatingmanageNotice getTOperatingmanageNoticeById(Long id);

    /**
     * 修改
     * @param tOperatingmanageNotice
     * @return
     */
    int updateTOperatingmanageNotice(TOperatingmanageNotice tOperatingmanageNotice);

    /**
     * 删除
     * @param ids
     * @return
     */
    int batchRemove(Long[] ids);

    /**
     * 修改通知公告基础信息
     * @param tOperatingmanageNotice
     * @return
     */
    int basicTOperatingmanageNotice(TOperatingmanageNotice tOperatingmanageNotice);
}
